Subject: Re: pre-installation requirements
To: None <>
From: Klaus Heinz <>
List: tech-pkg
Date: 10/07/2003 23:28:42
Jeremy C. Reed wrote:
> Do you have a particular example?

For the version 2.60 of SpamAssassin you are supposed to run
'sa-learn --rebuild' with the sa-learn from version 2.5x in order
to commit any changes recorded in ~/.spamassassin/bayes_journal to
your Bayes database.

> Maybe it would be okay to just run the command.

How can I run the command contained in the old package before/during
the installation of the new package?

> Displaying a message wouldn't work often, because, especially when
> downloading packages and installing several packages at once, most people
> don't wait around to read the messages.

You're probably right about this :-/

Seems I cannot do anything about it in an automated way, so a notice
about this in MESSAGE will be the only hint for the user.